unit main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ShellAPI, Menus, PiconeBarreTache;

type
  TForm1 = class(TForm)
    BtnStart: TButton;
    BtnStop: TButton;
    Quitter: TButton;
    PiconeBarreTache1: TPiconeBarreTache;
    PopupMenu1: TPopupMenu;
    Verrouillerpav1: TMenuItem;
    Dverrouillerpav1: TMenuItem;
    Apropos1: TMenuItem;
    Quitter1: TMenuItem;
    N1: TMenuItem;
    About: TButton;
    procedure BtnStartClick(Sender: TObject);
    procedure BtnStopClick(Sender: TObject);
    procedure QuitterClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure AboutClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  protected
  end;

function HookMSG:Integer;     stdcall;
function UnHookMSG:Integer;   stdcall;
function IsHookedMSG:boolean; stdcall;

var
  Form1: TForm1;

implementation

uses about;

{$R *.dfm}

function HookMSG;            external 'libmsg.dll';
function UnHookMSG;          external 'libmsg.dll';
function IsHookedMSG;        external 'libmsg.dll';

procedure TForm1.BtnStartClick(Sender: TObject);
begin
if not IsHookedMSG then HookMSG;
BtnStart.Enabled:=false;
BtnStop.Enabled:=true;
Verrouillerpav1.Enabled:=false;
Dverrouillerpav1.Enabled:=true;
end;

procedure TForm1.BtnStopClick(Sender: TObject);
begin
if IsHookedMSG then UnHookMSG;
BtnStart.Enabled:=true;
BtnStop.Enabled:=false;
Verrouillerpav1.Enabled:=true;
Dverrouillerpav1.Enabled:=false;
end;

procedure TForm1.QuitterClick(Sender: TObject);
begin
if IsHookedMSG then UnHookMSG;
Application.Terminate;
end;


procedure TForm1.FormCreate(Sender: TObject);
begin
BtnStartClick(Sender);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
if IsHookedMSG then UnHookMSG;
end;

procedure TForm1.AboutClick(Sender: TObject);
begin
Application.CreateForm(TAboutForm, AboutForm);
end;

end.
